GET api/sticker/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

StickerViewModel
NameDescriptionTypeAdditional information
descriptions

Dictionary of string [key] and string [value]

None.

type

StickerTypeViewModel

None.

relations

Collection of StickerRelationViewModel

None.

details

Collection of StickerDetailViewModel

None.

active

boolean

Required

code

string

Required

Max length: 50

id

globally unique identifier

None.

stickerType_ID

globally unique identifier

Required

stickerRelation_IDs

Collection of globally unique identifier

None.

site_ID

globally unique identifier

Required

Response Formats

application/json, text/json

Sample:
{
  "descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "type": {
    "descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "code": "sample string 1",
    "id": "ebc1312f-16cf-4391-8b34-85eca6b96459",
    "technicalDescription": "sample string 3",
    "active": true
  },
  "relations": [
    {
      "active": true,
      "contract_ID": "c158ea65-171e-4f87-afdd-b22d29190b91",
      "contractItem_ID": "427a99a7-f493-40b0-b73a-a7cfd8af93de",
      "departement_ID": "0403cf97-1004-4d2f-8f54-4cf4e7a1f135",
      "departmentItem_ID": "99ef13a7-d574-45c7-841b-2119f7856bb8",
      "iD": "c414a353-6ea4-4ddc-a4ec-e76111ad0607",
      "site_ID": "87039c5f-d475-427e-9dc1-cf2483638a96",
      "siteCustomer_ID": "88a61da4-3d2b-457b-a0e2-20353b688abb",
      "sticker_ID": "6b715f7e-7f20-4055-ac04-845336496a6b",
      "garment_ID": "41432af3-194d-434d-9eb5-fbf4578d4598"
    },
    {
      "active": true,
      "contract_ID": "c158ea65-171e-4f87-afdd-b22d29190b91",
      "contractItem_ID": "427a99a7-f493-40b0-b73a-a7cfd8af93de",
      "departement_ID": "0403cf97-1004-4d2f-8f54-4cf4e7a1f135",
      "departmentItem_ID": "99ef13a7-d574-45c7-841b-2119f7856bb8",
      "iD": "c414a353-6ea4-4ddc-a4ec-e76111ad0607",
      "site_ID": "87039c5f-d475-427e-9dc1-cf2483638a96",
      "siteCustomer_ID": "88a61da4-3d2b-457b-a0e2-20353b688abb",
      "sticker_ID": "6b715f7e-7f20-4055-ac04-845336496a6b",
      "garment_ID": "41432af3-194d-434d-9eb5-fbf4578d4598"
    }
  ],
  "details": [
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "74dcbba3-2757-4375-b88a-f4feb114848f",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "84a4b477-e680-4c24-8816-811d41b4acf6",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "2ddb8b88-ea27-4ab4-af32-64d00db44b35",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "75d989e8-e597-4980-99c9-735fda18bebb",
      "stickerField_ID": "6b4055e6-7acb-4662-bcc2-54b3049eecd1",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    },
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "74dcbba3-2757-4375-b88a-f4feb114848f",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "84a4b477-e680-4c24-8816-811d41b4acf6",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "2ddb8b88-ea27-4ab4-af32-64d00db44b35",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "75d989e8-e597-4980-99c9-735fda18bebb",
      "stickerField_ID": "6b4055e6-7acb-4662-bcc2-54b3049eecd1",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    }
  ],
  "active": true,
  "code": "sample string 2",
  "id": "f118b9c5-7166-425e-883f-3726fad49658",
  "stickerType_ID": "329c1737-8929-4a63-9a45-e045bfe85499",
  "stickerRelation_IDs": [
    "89e2ffc2-b4e7-4370-88e3-c3d24a24ac2c",
    "84873554-52f1-4315-afe3-3fd220b1ab05"
  ],
  "site_ID": "afe628e9-6549-436a-9645-b637ae321fe5"
}

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.